Bug 129226 - [patch] update devel/boost from version 1.34.1 to 1.37
Summary: [patch] update devel/boost from version 1.34.1 to 1.37
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-27 10:40 UTC by Alexander Churanov
Modified: 2009-04-07 13:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Churanov 2008-11-27 10:40:02 UTC
The devel/boost port is out of date. Port version is 1.34.1, it was released more than a year ago. Latest boost release version is 1.37. Suggest updating.

Fix: 

Download from one of new locations.
Rapidshare promised to keep the file for 90 days.
How-To-Repeat: Try do download file from specified location at driveway.com
Comment 1 Edwin Groothuis freebsd_committer 2008-11-27 10:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->barner

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Prudhvi Krishna 2009-02-06 01:53:33 UTC
Hi,

 Any update on this.


Thanks,
Prudhvi Krishna Surapaneni
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2009-02-20 01:14:51 UTC
Responsible Changed
From-To: barner->freebsd-ports-bugs

Submitter is new maintainer. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=129226 

Date: Thu, 27 Nov 2008 20:54:12 GMT
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-02-20 02:54:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

I wasn't aware when I reset the assignment of this PR that lwhsu had 
already begun doing work to regression-test this patch on an -exp run. 
So, this PR should be his.
Comment 5 Li-Wen Hsu freebsd_committer 2009-03-05 19:22:15 UTC
State Changed
From-To: open->analyzed

There is a wiki page tracking this issue: 

http://wiki.freebsd.org/BoostPortingProject 

Helps are welcomed!
Comment 6 Li-Wen Hsu freebsd_committer 2009-04-07 13:11:48 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2009-04-07 13:12:02 UTC
lwhsu       2009-04-07 12:11:32 UTC

  FreeBSD ports repository

  Modified files:
    devel/boost          Makefile distinfo pkg-plist 
    devel/boost/files    patch-libs_regex_build_Jamfile.v2 
                         patch-tools_build_v2_tools_common.jam 
                         patch-tools_build_v2_tools_gcc.jam 
                         patch-tools_build_v2_tools_python.jam 
                         patch-tools_jam_src_build.jam 
  Added files:
    devel/boost/files    
                         patch-boost_function_function_template.hpp.patch 
                         patch-boost_test_impl_execution_monitor.ipp 
                         patch-libs_math_build_Jamfile.v2 
  Removed files:
    devel/boost/files    patch-boost::python::detail::config.hpp 
  Log:
  - Update to 1.37
  
  PR:             ports/129226
  Submitted by:   Alexander Churanov <alexanderchuranov AT gmail.com> (maintainer)
  Helped by:      amdmi3
  Exp-run by:     pav
  
  Revision  Changes       Path
  1.43      +37 -30       ports/devel/boost/Makefile
  1.14      +3 -3         ports/devel/boost/distinfo
  1.2       +0 -19        ports/devel/boost/files/patch-boost::python::detail::config.hpp (dead)
  1.1       +14 -0        ports/devel/boost/files/patch-boost_function_function_template.hpp.patch (new)
  1.1       +150 -0       ports/devel/boost/files/patch-boost_test_impl_execution_monitor.ipp (new)
  1.1       +38 -0        ports/devel/boost/files/patch-libs_math_build_Jamfile.v2 (new)
  1.2       +4 -4         ports/devel/boost/files/patch-libs_regex_build_Jamfile.v2
  1.2       +12 -12       ports/devel/boost/files/patch-tools_build_v2_tools_common.jam
  1.2       +19 -19       ports/devel/boost/files/patch-tools_build_v2_tools_gcc.jam
  1.2       +6 -5         ports/devel/boost/files/patch-tools_build_v2_tools_python.jam
  1.2       +5 -5         ports/devel/boost/files/patch-tools_jam_src_build.jam
  1.19      +12602 -1787  ports/devel/boost/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"